<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html lang="en">
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<meta name="description" content="Play MAME on your TV Arcade Monitor or Fixed Frequency Monitor">
<meta name="keywords" content="advancemame advancemenu advancecd advanceboot makebootfat advance advmame advcd advmenu advcomp mame mess linux scale2x arcade retrogame tv monitor control play coinop cabinet retrogaming">
<meta name="author" content="Andrea Mazzoleni">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link rel="stylesheet" type="text/css" href="style.css">
<title>Advance Projects</title>

<!-- Google Analytics 4 -->
<!-- Google tag (gtag.js) -->
<script async src="https://www.googletagmanager.com/gtag/js?id=G-JE7ZVT424T"></script>
<script>
  window.dataLayer = window.dataLayer || [];
  function gtag(){dataLayer.push(arguments);}
  gtag('js', new Date());

  gtag('config', 'G-JE7ZVT424T');
</script>

<!-- Google Universal Analytics -->
<script type="text/javascript">

  var _gaq = _gaq || [];
  _gaq.push(['_setAccount', 'UA-21967501-3']);
  _gaq.push(['_trackPageview']);

  (function() {
    var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
    ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
  })();

</script>
</head>
<body>
<div id="header">
<img src="index.jpg" width="1200" height="150" alt="Title">
</div>
<div id="menu">
<a href="/">About</a>
<a href="download">Download</a>
<a href="doc">Documentation</a>
<a href="support">Support</a>
<a href="forum">Forum</a>
<a href="history">History</a>
<a href="cost">Cost</a>
<a href="video-link">Video</a>
<a href="authors">Authors</a>
</div>
<div id="main">


<p>
Documentation of the AdvanceCOMP <em>advzip</em> utility.
</p>

<h2><a name="1">1</a> 
Synopsis
</h2>
<pre>
advzip [-a, --add] [-x, --extract] [-l, --list]
&nbsp;&nbsp;&nbsp;&nbsp;[-z, --recompress] [-t, --test] [-0, --shrink-store]
&nbsp;&nbsp;&nbsp;&nbsp;[-1, --shrink-fast] [-2, --shrink-normal] [-3, --shrink-extra]
&nbsp;&nbsp;&nbsp;&nbsp;[-4, --shrink-insane] [-i, --iter N]
&nbsp;&nbsp;&nbsp;&nbsp;[-k, --keep-file-time] [-p, --pedantic] [-q, --quiet]
&nbsp;&nbsp;&nbsp;&nbsp;[-h, --help] [-V, --version] ARCHIVES... [FILES...]
</pre>
<h2><a name="2">2</a> 
Description
</h2>
The main purpose of this utility is to recompress and test
the zip archives to get the smallest possible size.
<p>
For recompression the libdeflate implementation is used.
This implementation generally gives 5-10% more compression
than the zLib Deflate implementation, and it's also
generally faster.
<p>
For experimental purpose also the 7-Zip LZMA algorithm is
available with the -N option. In this case, the generated
zips WILL NOT BE USABLE by any other program. To make
them usable you need to recompress them without the -N
option. Generally this algorithm gives 10-20% more
compression than the zLib Deflate implementation.
<h2><a name="3">3</a> 
Options
</h2>
<table width="100%" border="0" cellspacing="0" cellpadding="2">
<tr valign="top" align="left"><td><strong>
-a, --add ARCHIVE FILES...
</strong></td></tr><tr><td>
Create the specified archive with the specified
files. You must specify only one archive.
</td></tr>
</table>
<table width="100%" border="0" cellspacing="0" cellpadding="2">
<tr valign="top" align="left"><td><strong>
-x, --extract ARCHIVE
</strong></td></tr><tr><td>
Extract all the files on the specified archive. You
must specify only one archive.
</td></tr>
</table>
<table width="100%" border="0" cellspacing="0" cellpadding="2">
<tr valign="top" align="left"><td><strong>
-l, --list ARCHIVES...
</strong></td></tr><tr><td>
List the content of the specified archives.
</td></tr>
</table>
<table width="100%" border="0" cellspacing="0" cellpadding="2">
<tr valign="top" align="left"><td><strong>
-z, --recompress ARCHIVES...
</strong></td></tr><tr><td>
Recompress the specified archives. If the -1, -2,
-3, -4 options are specified, it's used the smallest file
choice from: the previous compressed data, the new
compression and the uncompressed format. If the -0
option is specified the archive is always rewritten
without any compression.
</td></tr>
</table>
<table width="100%" border="0" cellspacing="0" cellpadding="2">
<tr valign="top" align="left"><td><strong>
-t, --test ARCHIVES...
</strong></td></tr><tr><td>
Test the specified archives. The tests may be
extended with the -p option.
</td></tr>
</table>
<table width="100%" border="0" cellspacing="0" cellpadding="2">
<tr valign="top" align="left"><td><strong>
-k, --keep-file-time
</strong></td></tr><tr><td>
When recompressing with -z keep the .zip file time.
</td></tr>
</table>
<table width="100%" border="0" cellspacing="0" cellpadding="2">
<tr valign="top" align="left"><td><strong>
-p, --pedantic
</strong></td></tr><tr><td>
Be pedantic on the zip tests. If this flag is
enabled some more extensive tests on the zip
integrity are done. These tests are generally not
done by other zip utilities.
</td></tr>
</table>
<table width="100%" border="0" cellspacing="0" cellpadding="2">
<tr valign="top" align="left"><td><strong>
-0, --shrink-store
</strong></td></tr><tr><td>
Disable the compression. The file is
only stored and not compressed. This option is
very useful to expand the archives of .png and .mp3
files. These files are already compressed, trying to
compress them another time is really a waste of time
and resource.
</td></tr>
</table>
<table width="100%" border="0" cellspacing="0" cellpadding="2">
<tr valign="top" align="left"><td><strong>
-1, --shrink-fast
</strong></td></tr><tr><td>
Set the compression level to "fast" using the zlib
compressor.
</td></tr>
</table>
<table width="100%" border="0" cellspacing="0" cellpadding="2">
<tr valign="top" align="left"><td><strong>
-2, --shrink-normal
</strong></td></tr><tr><td>
Set the compression level to "normal" using the libdeflate
compressor.
This is the default level of compression.
</td></tr>
</table>
<table width="100%" border="0" cellspacing="0" cellpadding="2">
<tr valign="top" align="left"><td><strong>
-3, --shrink-extra
</strong></td></tr><tr><td>
Set the compression level to "extra" using the 7z
compressor.
You can define the compressor iterations with
the -i, --iter option.
</td></tr>
</table>
<table width="100%" border="0" cellspacing="0" cellpadding="2">
<tr valign="top" align="left"><td><strong>
-4, --shrink-insane
</strong></td></tr><tr><td>
Set the compression level to "insane" using the zopfli
compressor.
You can define the compressor iterations with
the -i, --iter option.
</td></tr>
</table>
<table width="100%" border="0" cellspacing="0" cellpadding="2">
<tr valign="top" align="left"><td><strong>
-i, --iter N
</strong></td></tr><tr><td>
Define an additional numer of iterations for the 7z and zopfli
compressors for modes -3 and -4.
More iterations usually give a better compression, but may
require a lot more time.
Try for example with 10, 15, 20, and so on.
</td></tr>
</table>


</div>

<div id="footer">

<div class="column">
<span class="bold">Donate with</span>
<br>
<a href="https://www.paypal.com/cgi-bin/webscr?cmd=_donations&business=amadvance%40gmail%2ecom&lc=US&item_name=AdvanceMAME&no_note=0&currency_code=USD&bn=PP%2dDonationsBF%3abtn_donateCC_LG%2egif%3aNonHostedGuest"><img src="paypal.png" width="160" height="60" alt="PayPal"></a>
</div>

<div class="column">
<span class="bold">Find other resources at</span>
<br>
<a href="https://github.com/amadvance/advancemame/"><img src="github.png" width="160" height="60" alt="GitHub"></a>
<a href="http://sourceforge.net/projects/advancemame/"><img src="sourceforge.png" width="115" height="60" alt="SourceForge"></a>
</div>

</div>
</body>
</html>



